#define	F_CPU    16000000UL

#include	<avr/io.h>
#include	<util/delay.h>

unsigned char digit[] = {0x77, 0x41, 0x3B, 0x5B, 0x4D, 0x5E, 0x7C, 0x43, 0x7F, 0x4F};

void	display_7segled(unsigned char led[], unsigned int number)
{	PORTC = led[number];	}

int	main(void)
{	int	sec;

	DDRC = 0xFF;
	
	sec = 0;
	while(1){
		sec++;

		display_7segled(digit, sec % 10);

		_delay_ms(1000);
	}
	
	return 0;
}
